Instalar Parallels en Ubuntu

Me veo obligado a utilizar una maquina virtual con Windows XP, debido basicamente a dos programas, Mathcad y Hysys. El primero es un programa de matemática vectorial basado en .NET, y el segundo es un simulador de procesos químicos el cual tampoco puedo hacer funcionar con wine. Uso VirtualBOX, y estoy bastante satisfecho, y el modo Seamless me encanta. Sin embargo, me gusta experimentar con programas nuevos, ver los pros y los contras. Hace unos dias ví la noticia de que Parallels estaba “donando” licencias para su versión 2.2, para Linux y Windows, asi que me dije, vamos a probar…

Parallels

En principio la instalación deberia ser facil,instalar el archivo .deb, y en una consola ejecutar

  • sudo parallels-config

Sin embargo, se presenta un conflicto en la compilación de drivers para los kernel 2.9.26 y 2.9.27-9 (el que tengo yo). La solución es la siguiente: bajarse este patch, abrir una terminal y hacer lo siguiente:

  • mkdir temp
  • cd temp tar -xvzf /usr/lib/parallels/devel.tar.gz
  • patch -p1 </path_to_patch/support_2.6.26.patch
  • tar -czf devel.tar.gz *

Es decir, crear un directorio temp, descomprimir el archivo devel.tar.gz, parcharlo, y volver a comprimirlo. Luego reemplazan el devel.tar.gz de /usr/lib/parallels/ por el que hemos creado. Por último, ejecutamos

  • sudo parallels-config

y listo. Otra opción es bajarse este archivo devel.tar.gz ya parchado y remplazarlo.

parallels

Ahora la discusión. No soy un fanatico defensor del código abierto. Reconozco sus ventajas, si, pero en este caso no me preocupa probar un soft propietario teniendo una alternativa libre. Me gusta conocer de todo para poder dar una opinión. Y no me tiembla la pera para instalar los drivers privativos de Nvidia, por ejemplo (vamos, a quien no le gusta ver que su placa le dé el rendimiento que puede dar). Es solo mi opinión. Mucha suerte!

Anuncios

8 comentarios »

  1. El Negro said

    Estuve tratando de instalar el Parallels en Ubuntu 8.10 (kernel 2.6.27-11-generic). Lo instalé con éxito desde el Synaptic, y ejecuté el parallels-config, pero cuando intento ejecutar el Parallels, me muestra el siguiente error:

    Module vm-main is not found! Parallels Workstation 2.2 is installed, but it has not been configured for your running kernel. To configure it please login as root and run parallels-config.

    Hice los pasos que detallaste arriba, pero no logré solucionarlo. Tal vez sea porque el archivo /usr/lib/parallels/devel.tar.gz nunca existió en mi máquina 😮 ¿Alguna idea de cuál es el error, o lo que yo puedo estar haciendo mal?

    Me da mucha bronca buscar sobre este mismo problema, y encontrar a mucha gente que lo tuvo en varios foros, pero nadie les responde. La única tentativa de solución que encontré fue ésta que publicaste (encontré a otro que dice haber solucionado este mismo problema compilando él mismo los módulos, pero no decía cómo hacerlo)

    Lo necesito solucionar porque, según tengo entendido, Parallels permite ejecutar máquinas virtuales a partir de discos duros reales (es decir, sin necesidad de crear discos duros virtuales), y necesito esa funcionalidad.

    Agradecería mucho que alguien me ayudara en línea con esto.

    MSN: eltopoblack3@hotmail.com
    Skype: negro280788

    Gracias.

  2. Marco said

    Probaste hacerlo con el .deb del cual dejé el enlace arriba? Porque no es el mismo build que el de synaptic. Instalá ese deb, bajate el devel.tar.gz ya parchado (tambien está el link en el mensaje) y seguí los pasos: Instalar el deb, reemplazar el devel.tar y correr sudo parallels-config. Suerte! Y avisame cualquier cosa.

    Edito: Lo acabo de instalar en kernel 2.6.27-11-generic y funcionó perfectamente con el método que te expliqué arriba.

  3. El Negro said

    Apa… eso no lo probé, no me había fijado que era otra revisión 😮

    Parece que ahí se están compilando los módulos…..

    A ver…
    Ahí abrió!!! 😀 Mil gracias! Al menos esa parte está solucionada!

    Me falta probarlo, pero el programa ya se ejecuta, es un avance que no podía conseguir solo 🙂

    Mil gracias!!!
    Ésta era la respuesta que no encontré en ningún lado, estaba re trabado!!!

    😀

    Después te cuento si pude o no lograr mi objetivo final, pero aunque no lo logre, me ayudaste muchísimo! Gracias!

    Yo no sé mucho de Linux, pero si te puedo ayudar con algo de eso, lo haré con gusto 😉

    Saludos!

  4. Marco said

    Me alegro que te haya funcionado, despues me contás como anduvo la MV. Saludos!

  5. antonio said

    pues a mi no me funciona

  6. Marco said

    tendrias que comentar cual es el error que te está dando…

  7. antonio said

    Cierto, decir que hay un problema sin especificar cual es una tonteria XD. Bueno, a la hora de configurar me salta un error:

    Compilation log is available at /usr/lib/parallels/comp.log.7617.error

    Aunque el numero da igual, pone el que le da la gana. El programa lo baje del enlace que tienes puesto y el devel.tar.gz tambien

  8. kletusk said

    Ya intenté lo que pusiste pero a que te refieres en “patch -p1 </path_to_patch/support_2.6.26.patch” porque me aparece un error

    patch: command not found

    y hago los pasos tal y como lo tienes, sin embargo no me hace nada.

RSS feed for comments on this post · TrackBack URI

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: